Skip to main content
POST
/
surveys
/
schedule-survey-export
Schedule Survey Export
curl --request POST \
  --url https://services.leadconnectorhq.com/surveys/schedule-survey-export \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Version: <version>' \
  --data '
{
  "surveyIds": [
    "id1",
    "id2",
    "id3"
  ],
  "startDate": "2023-01-01T00:00:00.000Z",
  "endDate": "2023-01-31T23:59:59.999Z",
  "locationId": "location1",
  "companyId": "company1",
  "type": "survey"
}
'
{
  "successMessage": "The export started and when the download link is ready, it will be sent via email."
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-07-28

Body

application/json
surveyIds
string[]
required

List of survey IDs to be exported

Example:
["id1", "id2", "id3"]
startDate
string<date-time>
required

Start date for the export

Example:

"2023-01-01T00:00:00.000Z"

endDate
string<date-time>
required

End date for the export

Example:

"2023-01-31T23:59:59.999Z"

locationId
string
required

ID of the location for which surveys will be exported

Example:

"location1"

companyId
string
required

ID of the company

Example:

"company1"

type
string
required

Type of the export should be survey

Example:

"survey"

Response

Successful response

successMessage
string
required

Success message

Example:

"The export started and when the download link is ready, it will be sent via email."

Last modified on March 4, 2026